VMTKIMAGEBINARIZE(1)

NAME
vmtkimagebinarize - vmtk script vmtkimagebinarize

DESCRIPTION
Automatic piping vmtkimagebinarize Parsing options vmtkimagebinarize

vmtkimagebinarize : binarize the input image producing a label map

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-threshold Threshold (float,1); default=0.0: the threshold at which

    the image should be binarized

-lowerlabel LowerLabel (int,1); default=0: the label to associate

    to the pixels lower than the threshold

-upperlabel UpperLabel (int,1); default=1: the label to associate

    to the pixels higher than the threshold

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image